Compatibilité

Cette page liste de façon la plus complète possible les informations sur la compatibilité du plugin WooCommerce Mondial Relay.

Compatibilité avec WooCommerce

La version 3.4.4 du plugin est compatible avec les versions de WooCommerce :

WooCommerce 3.4 3.4.0
WooCommerce 3.3 3.3.*
WooCommerce 3.2 3.2.*
WooCommerce 3.1 3.1.*
WooCommerce 3.0 3.0.*
WooCommerce 2.6 2.6.*
WooCommerce 2.5 2.5.*
WooCommerce 2.4 2.4.*
WooCommerce 2.3 2.3.*
WooCommerce 2.2 2.2.*
WooCommerce 2.1 2.1.*
WooCommerce 2.0 2.0.20
WooCommerce 1.6 1.6.6
Important

Il est très fortement recommandé de mettre à jour votre plugin avec la version la plus récente compatible avec votre environnement Wordpress/WooCommerce.

Dépendances

Dépendance Fonction Version
ParcelShop Picker Le widget officiel de Mondial Relay est inclus pour la sélection de point relais sur la page de commande. 3.3
Fancybox Le plugin utilise Fancybox pour la fenêtre modale contenant le widget de sélection de point Mondial Relais. 3.2
Google Maps Le widget Parcelshop Picker inclus dans le plugin WooCommerce Mondial Relay utilise Google Maps pour afficher les points-relais sur une carte. -

SOAP

Le plugin WooCommerce Mondial Relay peut se connecter au webservice de Mondial Relay via deux bibliothèques :

Important

Si vous utilisez PHP 7.0 ou supérieur, l’utilisation de Soap est obligatoire.

checkout.js

Le plugin utilise son propre fichier checkout.js.
Vérifiez bien, dans le cas d’une utilisation du plugin WooCommerce customisé par un développeur que vous n’utilisez pas une version modifiée de ce fichier. Vérifiez aussi que vous n’utilisiez pas d’autres plugins WooCommerce ou un thème qui modifie les standards de WooCommerce et qui peuvent donc provoquer une incompatibilité.

Thèmes premiums

Le plugin est compatible avec la très grande majorité les thèmes Wordpress/WooCommerce.
Certains thèmes, à cause de conflits de style ou de scripts, pourront nécessiter une modification spécifique. Vous trouverez plus d’informations sur la page de style.

Plugins

Le plugin a été testé avec les plugins suivants :

Plugin Compatibilité
Table Rate Shipping for WooCommerce (CodeCanyon) OK
Table Rate Shipping for WooCommerce (WooTheme) OK
WooCommerce Subscriptions NON COMPATIBLE
WooCommerce MultiStep Checkout NON COMPATIBLE
Important

La compatibilité n’est pas assurée à 100%, car celle-ci peut varier suite à une mise à jour d’un plugin.
Aucun support n’est assuré sur un plugin externe à WooCommerce.

Information

Une aide à la configuration du plugin avec les plugins de type Table Rate Shipping est disponible sur la page dédiée.
Plus d’informations

Le plugin WooCommerce Mondial Relay est compatible avec les navigateurs récents.

Navigateur Compatibilité
Google Chrome OK
Mozilla Firefox OK
Apple Safari OK
Microsoft Internet Explorer supérieur à 8 OK
Microsoft Internet Explorer inférieur ou égal à 8 NON COMPATIBLE

PHP

Il est recommandé d’utiliser la version la plus récente de PHP sur son serveur. Nous vous recommandons au minimum d’utiliser la version 5.6.
Vous pouvez trouver une liste des versions PHP supportés par les principaux hébergeurs sur le site PHP Versions.
Si vous souhaitez plus d’informations sur les versions supportées de PHP, vous pouvez vous rendre sur la page officielle. Voici la liste des versions PHP qui sont obsolètes.

Alternatives

Il se peut que le plugin WooCommerce Mondial Relay ne convienne pas à vos besoins et à vos contraintes techniques.
Voici d’autres plugins permettant la livraison Mondial Relay sur WooCommerce :